Skip to main content
POST
Refund transaction
This reference describes API version 2026-07-24. Send Commet-Version: 2026-07-24 with your request.

Authorizations

x-api-key
string
header
required

Headers

Idempotency-Key
string

Unique key used to safely retry this write for 24 hours without applying it twice.

Required string length: 1 - 200
Commet-Version
string
default:2026-07-24

API version used by this reference. Send this header to select this contract explicitly.

Path Parameters

id
string
required

Response

Success

id
string
required
transactionId
string
required
amount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
currency
string
required
chargeId
string | null
required
status
enum<string>
required
Available options:
pending,
requires_action,
succeeded,
failed,
canceled
reason
enum<string> | null
required
Available options:
duplicate,
fraudulent,
requested_by_customer
object
string
required
Allowed value: "refund"
livemode
boolean
required